## CheeseAvatarChooser CheeseAvatarChooser — A photo capture dialog for avatars |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <cheese/cheese-avatar-chooser.h>

    struct              CheeseAvatarChooser;
    GtkWidget *         cheese_avatar_chooser_new           (void);
    GdkPixbuf *         cheese_avatar_chooser_get_picture   (CheeseAvatarChooser *chooser);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkWindow
                                     +----GtkDialog
                                           +----CheeseAvatarChooser

## Implemented Interfaces

CheeseAvatarChooser implements AtkImplementorIface and GtkBuildable.

## Properties

      "pixbuf"                   GdkPixbuf*            : Read

## Description

CheeseAvatarChooser presents a simple window to the user for taking a photo for use as an avatar.

## Details

### struct CheeseAvatarChooser

    struct CheeseAvatarChooser;

Use the accessor functions below.

### cheese_avatar_chooser_new ()

    GtkWidget *         cheese_avatar_chooser_new           (void);

Creates a new CheeseAvatarChooser dialogue.

Returns : | a CheeseAvatarChooser

### cheese_avatar_chooser_get_picture ()

    GdkPixbuf *         cheese_avatar_chooser_get_picture   (CheeseAvatarChooser *chooser);

Returns the portion of image selected through the builtin cropping tool, after a picture has been captured on the webcam.

`chooser` : | a CheeseAvatarChooser dialogue
Returns : | a GdkPixbuf object, or `NULL` if no picture has been taken yet

## Property Details

### The `"pixbuf"` property

      "pixbuf"                   GdkPixbuf*            : Read

A GdkPixbuf object representing the cropped area of the picture, or `NULL`.